> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/project-statuses/get-project-project-statuses-by-project-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns statuses for the specified project. GET https://api.awork.com/api/v1/projects/{projectId}/projectstatuses Returns statuses relevant to the specified project. If the project is linked to a workflow, the workflow's statuses are returned. The user must be the project creator or have `project-master-data:read` permission. Reference: https://developers.awork.com/apiv1/project-statuses/get-project-project-statuses-by-project-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `projectId` (string, required) ### Query parameters - `page` (integer, optional, default: 1) — Page number for pagination - `pageSize` (integer, optional, default: 10) — Number of items per page - `orderby` (string, optional) — The properties to order by - `filterby` (string, optional) — The filter expression to filter by ## Response ### 200 OK - `list of ProjectStatus` ## Errors ### 401 Unauthorized Error Unauthorized - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ProjectStatus - `id` (string, optional) — The primary identifier of this project status. - `name` (string, optional, nullable) — The name of the project status. - `type` (string, optional, nullable) — The general type of this project status. - `order` (integer, optional, nullable) — The order of this status. - `createdOn` (string, optional) — The date this entity was created. - `createdBy` (string, optional) — The id of the user who created this entity. - `updatedOn` (string, optional) — The date this entity was last modified. - `projectTemplateId` (string, optional, nullable) — The id of the project template of the status. - `projectId` (string, optional, nullable) — The id of the project the status belongs to. - `workflowId` (string, optional, nullable) — The id of the workflow linked to this project status. - `updatedBy` (string, optional) — The id of the user who last modified this entity. - `isExternal` (boolean, optional) — True if the project status is coming from an external workspace (awork Connect). ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Response** ```json [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress", "order": 2, "createdOn": "2024-01-15T09:30:00Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2024-01-15T09:30:00Z", "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000", "projectId": "123e4567-e89b-12d3-a456-426614174000", "workflowId": "123e4567-e89b-12d3-a456-426614174000", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "isExternal": true } ] ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/projects/projectId/projectstatuses" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/projects/projectId/projectstatuses'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/projects/projectId/projectstatuses" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/projects/projectId/projectstatuses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/projects/projectId/projectstatuses") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/projects/projectId/projectstatuses', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/projects/projectId/projectstatuses"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projects/projectId/projectstatuses")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```